Subject: Re: [bitcoin-dev] Why not Child-Pays-For-Parent?

From: Dan Bryant <[email-masked]>
Date: Sat, 11 Jul 2015 16:30:24 -0500

I think a compromise will be somewhere in the middle.  I think most people
would be OK with TXs that don't have enough fees for P2P transfer to stay
in deadmans land.  Most people are stuck in a situation where they payed
enough to get it into (and keep it in) the pool, but not enough to get it
out.

If we could get CPFP that only worked on TXs that met the minimum threshold
for peer propagation, then I think we would be in much better position to
battle this spam flood.

On Sat, Jul 11, 2015 at 3:28 PM, Micha Bailey <[email-masked]> wrote:

> Right. The issue (AIUI) is that, right now, even though transactions are
> evaluated for inclusion as a group with CPFP, they're not yet evaluated for
> relaying as a unit, nor can they be, because the current p2p protocol
> doesn't have a way to send multiple transactions in a single protocol
> message to signify that they should be evaluated together.
>
>